com.smartgwt.client.types

## Enum DragIntersectStyle

- java.lang.Object
- - java.lang.Enum<DragIntersectStyle>
  - - com.smartgwt.client.types.DragIntersectStyle

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<DragIntersectStyle>

      public enum DragIntersectStyle
      extends java.lang.Enum<DragIntersectStyle>
      implements ValueEnum

  Different styles of determining intersection: with mouse or entire rect of target

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MOUSE` Look for drop targets that are under the current mouse cursor position.
    `RECT` Look for drop targets by intersection of the entire rect of the drag target with the droppable target.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static DragIntersectStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DragIntersectStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MOUSE

          public static final DragIntersectStyle MOUSE

      Look for drop targets that are under the current mouse cursor position.

    - #### RECT

          public static final DragIntersectStyle RECT

      Look for drop targets by intersection of the entire rect of the drag target with the droppable target.

  - ### Method Detail

    - #### values

          public static DragIntersectStyle[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DragIntersectStyle c : DragIntersectStyle.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DragIntersectStyle valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`